#pragma once

#include "game_planet_object.h"

class GamePlanet;

class GameParticle : public GamePlanetObject {
public:
	GameParticle(Vector2f center, float dist, float baseAngle, Vector2f vel, float ttl, ParticleType type, GameFrame* frame);

	bool step(float t, float at);
	ParticleType getParticleType() const { return partType; }

private:

	void init(String texture, Vector2f offset, float colRadius, Collision::Mask colType);

	ParticleType partType;
	Vector2f vel;
	GamePlanet* planet;
	float ttl;
};

typedef shared_ptr<GameParticle> spGameParticle;
